summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLaura Abbott <labbott@fedoraproject.org>2016-10-17 08:53:57 -0700
committerLaura Abbott <labbott@fedoraproject.org>2016-10-17 09:49:28 -0700
commit1713b6251cd98e29a29c670f0d8c257fa43d1062 (patch)
tree3ce90160b9246aa4ea2ee78f1e63a4dae840082c
parent585f95eb353631f70488552816d2b8d3b4f85096 (diff)
downloadkernel-1713b6251cd98e29a29c670f0d8c257fa43d1062.tar.gz
kernel-1713b6251cd98e29a29c670f0d8c257fa43d1062.tar.xz
kernel-1713b6251cd98e29a29c670f0d8c257fa43d1062.zip
Fixup rawhide RC script to actually work
- Drop some debug output - Make fixup-bumpspec executable - copy kernel.spec.tmp back to kernel.spec - Typo in grep command - Increment base properly - Actually grab/upload tarball
-rwxr-xr-x[-rw-r--r--]scripts/fixup-bumpspec.sh4
-rwxr-xr-xscripts/rawhide-rc.sh18
2 files changed, 15 insertions, 7 deletions
diff --git a/scripts/fixup-bumpspec.sh b/scripts/fixup-bumpspec.sh
index 65ac489c4..1a38de222 100644..100755
--- a/scripts/fixup-bumpspec.sh
+++ b/scripts/fixup-bumpspec.sh
@@ -4,9 +4,7 @@
RELEASE=`grep "%global baserelease" kernel.spec | cut -d ' ' -f 3`
export RELEASE=$(($RELEASE-1))
-echo $RELEASE
perl -p -i -e 's|%global baserelease.*|%global baserelease $ENV{'RELEASE'}|' kernel.spec
TODAY=`date +"%a %b %d %Y"`
-echo $TODAY
awk -v DATE="$TODAY" 'START { marked = 0; } $0 ~ DATE { if (marked == 1) { print $0 } else {out=$1; for(i = 2; i <= NF - 2; i++) { out=out" "$i } print out; marked = 1; } } $0 !~ DATE { print $0; }' < kernel.spec > kernel.spec.tmp
-
+mv kernel.spec.tmp kernel.spec
diff --git a/scripts/rawhide-rc.sh b/scripts/rawhide-rc.sh
index 221d89b3d..2e871ee8e 100755
--- a/scripts/rawhide-rc.sh
+++ b/scripts/rawhide-rc.sh
@@ -9,18 +9,28 @@ scripts/fixup-bumpspec.sh
fedpkg commit -c
# Figure out what is our RC
-RC=`grep kernel.spec "%define rcrev" | cut -d ' ' -f 3`
+RC=`grep "%define rcrev" kernel.spec| cut -d ' ' -f 3`
RC=$(($RC+1))
+BASE=`grep "%define base_sublevel" kernel.spec| cut -d ' ' -f 3`
# Kill all patches
awk '!/patch/ { print $0 }' < sources > sources.tmp
mv sources.tmp sources
# Grab the tarball
-# FILL this in laura
+if [ ! -f patch-4.$BASE-rc$RC.xz ]; then
+ wget https://cdn.kernel.org/pub/linux/kernel/v4.x/testing/patch-4.$BASE-rc$RC.xz
+ if [ ! $? -eq 0 ]; then
+ exit 1
+ fi
+ fedpkg upload patch-4.$BASE-rc$RC.xz
+fi
# bump rcrev in the spec and set git snapshot to 0
-
-perl -p -i -e 's|%define rcrev.*|%global rcrev $ENV{'RC'}|' kernel.spec
+RC=$RC perl -p -i -e 's|%define rcrev.*|%global rcrev $ENV{'RC'}|' kernel.spec
perl -p -i -e 's|%define gitrev.*|%define gitrev 0|' kernel.spec
+
+perl -p -i -e 's|%global baserelease.*|%global baserelease 0|' kernel.spec
+
+rpmdev-bumpspec -c "Linux v4.$BASE-rc$RC" kernel.spec